Bug 86598 - Floating Frames can't be easily selected by mouse
Summary: Floating Frames can't be easily selected by mouse
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Frame Selection
  Show dependency treegraph
 
Reported: 2014-11-23 02:00 UTC by Maxim Britov
Modified: 2021-09-08 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2014-11-23 02:00:23 UTC
New document: Calc, Writer, Drawing, etc.
Insert - Floating Frame
Enter Name, select some file, I selected some .odt file.
Now you have Floating Frame with selected file inside.
Click outside of this frame.
Now try to select it by mouse...
Comment 1 A (Andy) 2014-11-23 10:23:58 UTC
Reproducible with LO 4.4.0.0.beta1, Win 8.1.
Comment 2 Cor Nouws 2014-11-23 14:43:44 UTC
I can just select it by clicking slightly out of the frame.
Same in 4.3.4.1 ..
So seems to work, though a bit nasty ?

Same with first LibreOffice (3.3.x), so probably already old behaviour.
Can you pls test again?

I suggest to make a RFE from this.
Comment 3 Maxim Britov 2014-11-24 16:10:34 UTC
(In reply to Cor Nouws from comment #2)
> I can just select it by clicking slightly out of the frame.
> Same in 4.3.4.1 ..
> So seems to work, though a bit nasty ?
> 
> Same with first LibreOffice (3.3.x), so probably already old behaviour.
> Can you pls test again?

Yes. I can found invisible area around frames.


> I suggest to make a RFE from this.

Are you prefer thinking - well described bag is not bug? ;)

Ok. Insert Floating Frame with text, scrool it to right bottom.
Now you can't see top and left border at all and you should search your
invisible area around scrollbar. Very strange feature :)
And imho it really not for "production", imho again :)
Comment 4 QA Administrators 2015-12-20 16:16:13 UTC Comment hidden (obsolete)
Comment 5 A (Andy) 2015-12-26 22:54:50 UTC
Reproducible with LO 5.1.0.1, Win 8.1
Comment 6 QA Administrators 2017-03-06 14:20:49 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2019-09-08 22:20:09 UTC
Still reproducible.
Version: 6.4.0.0.alpha0+
Build ID: 4e527f55d74e3220873075a8ec2799e2206fdb2d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-08-31_02:35:57
Locale: de-AT (de_AT.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 QA Administrators 2021-09-08 03:42:32 UTC
Dear Maxim Britov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug